Create report forecast
curl --request POST \
--url https://api.vantage.sh/v2/report_forecasts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cost_report_token": "<string>",
"title": "<string>",
"scenario_model_tokens": [
"<string>"
],
"business_metric_token": "<string>",
"set_as_default": true
}
'import requests
url = "https://api.vantage.sh/v2/report_forecasts"
payload = {
"cost_report_token": "<string>",
"title": "<string>",
"scenario_model_tokens": ["<string>"],
"business_metric_token": "<string>",
"set_as_default": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cost_report_token: '<string>',
title: '<string>',
scenario_model_tokens: ['<string>'],
business_metric_token: '<string>',
set_as_default: true
})
};
fetch('https://api.vantage.sh/v2/report_forecasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "rprt_frcst_5d4cc7ef29bed6d2",
"title": "Operating Plan",
"cost_report_token": "rprt_82a0304aaf254804",
"scenario_model_tokens": [
"frcst_mdl_ebb14bfd8eabc5fd"
],
"business_metric_token": null,
"is_default": true,
"created_by_token": "usr_10a09baaa100511e",
"created_at": "2026-07-28T15:37:52Z",
"updated_at": "2026-07-28T15:37:52Z"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}ReportForecasts
Create report forecast
Create a scenario-model ReportForecast.
POST
/
report_forecasts
Create report forecast
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Create a scenario-model ReportForecast.
⌘I